Subject: bug#22287: closed (Re: bug#22287: 25.1.50; Sudden jumping point in buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Feb 2016 16:30:02 +0000

Your bug report

#22287: 25.1.50; Sudden jumping point in buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22287: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22287
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22287: 25.1.50; Sudden jumping point in buffer
From: David Engster <[email-masked]>
To: "Stefan-W. Hahn" <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sun, 21 Feb 2016 17:29:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

David Engster writes:
> So yes, this has to be wrapped in a save-excursion. But more
> importantly, I think we should not put semanticdb-save-all-db-idle in
> the auto-save-hook.

I finally fixed this on the emacs-25 branch. I apologize for the long
delay. Thanks again for debugging this.

I'm closing this bug; please reopen if you still observe problems.

-David

Subject: 25.1.50; Sudden jumping point in buffer
From: "Stefan-W. Hahn" <[email-masked]>
To: [email-masked]
Date: Fri, 1 Jan 2016 12:10:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have a problem with a jumping point in buffers while typing
(see http://permalink.gmane.org/gmane.emacs.devel/194737).

I investigating this problem since quite a while. I also come along
Bug#15045. I think it could be the same problem.

I traced it to running auto-save-hook; call of funktion
semanticdb-save-all-db-idle.

To be sure it happens there I made following change:

,----
| (defun semanticdb-save-all-db-idle ()
|   "Save all semantic tag databases from idle time.
| Exit the save between databases if there is user input."
|   (semantic-safe "Auto-DB Save: %S"
|     ;; FIXME: Use `while-no-input'?
|     ;;(save-mark-and-excursion
|      (progn
|      (message "*** sem start: buffer %s %d" (buffer-name) (point))
|     (semantic-exit-on-input 'semanticdb-idle-save
|       (mapc (lambda (db)
|               (message "*** sem: buffer %s %d" (buffer-name) (point))
|               (when
|                   (and semantic-current-input-throw-symbol
|                        (or
|                         (let
|                             ((pos
|                               (point))
|                              rc)
|                           (setq rc
|                                 (input-pending-p))
|                           (message "*** input: rc=%s %d %d" rc pos
|                                        (point))
|                           rc)
|                         (let ((pos (point))
|                               rc)
|                           (with-current-buffer
|                               (marker-buffer semantic--on-input-start-marker)
|                             (save-excursion
|                               (goto-char semantic--on-input-start-marker)
|                               (setq rc (accept-process-output))))
|                           (message "*** out: rc=%s %d %d" rc pos (point))
|                           rc)))
|                 (message "throw %d"
|                          (point))
|                 (throw semantic-current-input-throw-symbol 'semanticdb-idle-save))
|               (let ((pos (point)))
|                 (semanticdb-save-db db t)
|                 (if (/= pos (point))
|                     (message "*** db %s %d->%d" db pos (point)))
|                 ))
| 	    semanticdb-database-list))
|     (message "*** sem end: buffer %s %d" (buffer-name) (point))
|     )))
`----

(While inspecting the code with macrostep-expand, it leaves the original
code and removes the macro; perhaps a bug there, but has no relevance
here.)

To reproduce the problem I do expanding the code in src/intervals.c
(can be other code too) in function set_point with a statement and
a C-comment in which I type until auto-save is triggered. To retry I
always start with a fresh copy of the file with deleting the rubbish I
typed in, save the file, revert the file, waiting till semantic has
parsed the file and the putting in the same statement and beginning to
write the comment...

With above instrumentation and the error happening, I saw following
messages:

,----
| Cannot find types for ‘"Zeit"’
| *** sem start: buffer intervals.c 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem: buffer intervals.c 49724
| *** input: rc=nil 49724 49724
| *** out: rc=nil 49724 49724
| *** sem end: buffer intervals.c 49392
| Auto-saving...done
| Error during redisplay: (jit-lock-function 50506) signaled (scan-error "Unbalanced parentheses" 49433 70139)
`----

The first "Cannot find types.." is a message from company which cannot
finds completions for the rubbish I typed inside the comment.

The "Error during redisplay.." comes from the open comment while typing.

What can be seen:
- auto-save is triggered and first function from auto-save-hook,
  semanticdb-save-all-db-idle, is called:

  "sem start:"

- there are 8 database to be saved.

  "sem: buffer:"

- before saving each database input-pending-p and accept-process-output
  are returning nil.

- after each call of input-pending-p and accept-process-output the point
  is at same position as before the call.

- the signalled was not thrown at all.

- after each call of semanticdb-save-db the point is at same position as
  before the call (no output of message "*** db ...".

- the point at the end of semanticdb-save-all-db-idle has changed!!

Following calls can be seen to be made:

semanticdb-save-all-deb-idle
-> progn
   -> message "sem start"
   -> let
      -> point-marker
      -> catch
         -> mapc
            -> message, buffer-name, point
            -> and, or, let, setq
            -> input-pending-p
            -> message, buffer-name, point
            -> with-current-buffer, marker-buffer, save-excursion
            -> accept-process-output
            -> message, buffer-name, point
            -> point
            -> semanticdb-save-db
            -> if (with no ouput, so no different point compared to
                  point before call of semanticdb-save-db)
      -> message, buffer-name, point ("sem end")
         !! here with other position of point compared to "sem start"

If I see it correct, the point before catch and after catch are
different, but nothing inside catch is moving the point.

My environment ist:

In GNU Emacs 25.1.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
 of 2015-12-31
Repository revision: 70f1fda4ae6abb5e11dcf281738c25f6f5b06061
  (compiled is 6595, see explanation below)
  
Windowing system distributor 'The X.Org Foundation', version 11.0.11204000
System Description:	Debian GNU/Linux 7.9 (wheezy)

Configured using:
 'configure --with-x --with-sound=alsa --with-wide-int
 --with-file-notification=yes --prefix=/opt/emacs25 --with-jpeg
 --with-xpm --with-png --with-tiff --with-rsvg --with-xml2 --with-gnutls
 --with-xft --with-imagemagick 'CFLAGS=-g3 -O3'
 GIT_VERSION=emacs-24.5-rc3-fixed-6595-g70f1fda'

The fixed-6595 is a (work around) in lisp/cedet/semantic/db.el:

diff --git a/lisp/cedet/semantic/db.el b/lisp/cedet/semantic/db.el
index e4ac56c..5067c93 100644
--- a/lisp/cedet/semantic/db.el
+++ b/lisp/cedet/semantic/db.el
@@ -724,12 +724,13 @@ semanticdb-save-all-db-idle
 Exit the save between databases if there is user input."
   (semantic-safe "Auto-DB Save: %S"
     ;; FIXME: Use `while-no-input'?
+    (save-mark-and-excursion
     (semantic-exit-on-input 'semanticdb-idle-save
       (mapc (lambda (db)
              (semantic-throw-on-input 'semanticdb-idle-save)
              (semanticdb-save-db db t))
            semanticdb-database-list))
-    ))
+    )))
 
 ;;; Directory Project support
 ;;

which seems to be a solution for the problem described in this bug report.

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS NOTIFY LIBSELINUX GNUTLS
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LC_COLLATE: de_DE.UTF-8
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LC_MESSAGES: en_GB.UTF8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  display-time-mode: t
  yas-minor-mode: t
  org-link-minor-mode: t
  winner-mode: t
  whitespace-mode: t
  global-semantic-mru-bookmark-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-idle-scheduler-mode: t
  global-semantic-idle-local-symbol-highlight-mode: t
  global-semantic-idle-summary-mode: t
  global-semantic-decoration-mode: t
  global-semantic-highlight-func-mode: t
  global-semantic-stickyfunc-mode: t
  semantic-mode: t
  recentf-mode: t
  rainbow-delimiters-mode: t
  global-git-commit-mode: t
  hs-org/minor-mode: t
  savehist-mode: t
  async-bytecomp-package-mode: t
  hl-paren-mode: t
  hl-line-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  ido-everywhere: t
  diredp-highlight-autofiles-mode: t
  diff-auto-refine-mode: t
  eproject-mode: t
  ivy-mode: t
  company-quickhelp-mode: t
  global-company-mode: t
  company-mode: t
  electric-pair-mode: t
  url-handler-mode: t
  show-paren-mode: t
  which-function-mode: t
  shell-dirtrack-mode: t
  override-global-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t
  hs-minor-mode: t

Recent messages:
*** out: rc=nil 6573 6573
*** sem: buffer jump.el 6573
*** input: rc=nil 6573 6573
*** out: rc=nil 6573 6573
*** sem: buffer jump.el 6573
*** input: rc=nil 6573 6573
*** out: rc=nil 6573 6573
*** sem end: buffer jump.el 6573
Entering debugger...
Back to top level

Load-path shadows:
/home/hs/.emacs.d/git/org-mode/.dir-locals hides /home/hs/.emacs.d/git/hydra/.dir-locals
/home/hs/.emacs.d/git/org-mode/.dir-locals hides /home/hs/.emacs.d/git/avy/.dir-locals
/home/hs/.emacs.d/lisp/project/xgtags hides /home/hs/.emacs.d/lisp/xgtags/xgtags
/home/hs/.emacs.d/git/org-mode/contrib/lisp/htmlize hides /home/hs/.emacs.d/elpa/htmlize-20130207.1202/htmlize
/home/hs/.emacs.d/lisp/w32/w32-browser hides /home/hs/.emacs.d/elpa/w32-browser-20150105.105/w32-browser
/home/hs/.emacs.d/lisp/find-cmd hides /opt/emacs25/share/emacs/25.1.50/lisp/find-cmd
/home/hs/.emacs.d/lisp/master hides /opt/emacs25/share/emacs/25.1.50/lisp/master
/home/hs/.emacs.d/lisp/doc-view hides /opt/emacs25/share/emacs/25.1.50/lisp/doc-view
/home/hs/.emacs.d/lisp/loaddefs hides /opt/emacs25/share/emacs/25.1.50/lisp/loaddefs
/home/hs/.emacs.d/lisp/flymake hides /opt/emacs25/share/emacs/25.1.50/lisp/progmodes/flymake
/home/hs/.emacs.d/git/org-mode/lisp/org-mobile hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-mobile
/home/hs/.emacs.d/git/org-mode/lisp/ob-org hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-org
/home/hs/.emacs.d/git/org-mode/lisp/org-archive hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-archive
/home/hs/.emacs.d/git/org-mode/lisp/ob-table hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-table
/home/hs/.emacs.d/git/org-mode/lisp/ox-publish hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-publish
/home/hs/.emacs.d/git/org-mode/lisp/ob-keys hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-keys
/home/hs/.emacs.d/git/org-mode/lisp/ox-icalendar hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-icalendar
/home/hs/.emacs.d/git/org-mode/lisp/ob-dot hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-dot
/home/hs/.emacs.d/git/org-mode/lisp/ob-ruby hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-ruby
/home/hs/.emacs.d/git/org-mode/lisp/ob-io hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-io
/home/hs/.emacs.d/git/org-mode/lisp/org-protocol hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-protocol
/home/hs/.emacs.d/git/org-mode/lisp/ob-matlab hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-matlab
/home/hs/.emacs.d/git/org-mode/lisp/ox hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox
/home/hs/.emacs.d/git/org-mode/lisp/org-element hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-element
/home/hs/.emacs.d/git/org-mode/lisp/ox-org hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-org
/home/hs/.emacs.d/git/org-mode/lisp/ob-perl hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-perl
/home/hs/.emacs.d/git/org-mode/lisp/org-rmail hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-rmail
/home/hs/.emacs.d/git/org-mode/lisp/ob-maxima hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-maxima
/home/hs/.emacs.d/git/org-mode/lisp/org-footnote hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-footnote
/home/hs/.emacs.d/git/org-mode/lisp/ob-shen hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-shen
/home/hs/.emacs.d/git/org-mode/lisp/org-info hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-info
/home/hs/.emacs.d/git/org-mode/lisp/org-datetree hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-datetree
/home/hs/.emacs.d/git/org-mode/lisp/org-macro hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-macro
/home/hs/.emacs.d/git/org-mode/lisp/org-habit hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-habit
/home/hs/.emacs.d/git/org-mode/lisp/org-eshell hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-eshell
/home/hs/.emacs.d/git/org-mode/lisp/ob-ref hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-ref
/home/hs/.emacs.d/git/org-mode/lisp/org-version hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-version
/home/hs/.emacs.d/git/org-mode/lisp/ob-picolisp hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-picolisp
/home/hs/.emacs.d/git/org-mode/lisp/ox-texinfo hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-texinfo
/home/hs/.emacs.d/git/org-mode/lisp/ox-ascii hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-ascii
/home/hs/.emacs.d/git/org-mode/lisp/org-faces hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-faces
/home/hs/.emacs.d/git/org-mode/lisp/ob-haskell hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-haskell
/home/hs/.emacs.d/git/org-mode/lisp/ob-emacs-lisp hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-emacs-lisp
/home/hs/.emacs.d/git/org-mode/lisp/ob-comint hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-comint
/home/hs/.emacs.d/git/org-mode/lisp/ob-gnuplot hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-gnuplot
/home/hs/.emacs.d/git/org-mode/lisp/ob-python hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-python
/home/hs/.emacs.d/git/org-mode/lisp/org-bbdb hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-bbdb
/home/hs/.emacs.d/git/org-mode/lisp/org-list hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-list
/home/hs/.emacs.d/git/org-mode/lisp/ob-scala hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-scala
/home/hs/.emacs.d/git/org-mode/lisp/org-table hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-table
/home/hs/.emacs.d/git/org-mode/lisp/ob-mscgen hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-mscgen
/home/hs/.emacs.d/git/org-mode/lisp/ob-lisp hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-lisp
/home/hs/.emacs.d/git/org-mode/lisp/org-inlinetask hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-inlinetask
/home/hs/.emacs.d/git/org-mode/lisp/ob-lob hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-lob
/home/hs/.emacs.d/git/org-mode/lisp/ob-calc hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-calc
/home/hs/.emacs.d/git/org-mode/lisp/ob-plantuml hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-plantuml
/home/hs/.emacs.d/git/org-mode/lisp/ob-asymptote hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-asymptote
/home/hs/.emacs.d/git/org-mode/lisp/ob-css hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-css
/home/hs/.emacs.d/git/org-mode/lisp/ob-scheme hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-scheme
/home/hs/.emacs.d/git/org-mode/lisp/org-install hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-install
/home/hs/.emacs.d/git/org-mode/lisp/org-w3m hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-w3m
/home/hs/.emacs.d/git/org-mode/lisp/org-crypt hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-crypt
/home/hs/.emacs.d/git/org-mode/lisp/ox-man hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-man
/home/hs/.emacs.d/git/org-mode/lisp/ox-md hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-md
/home/hs/.emacs.d/git/org-mode/lisp/org-irc hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-irc
/home/hs/.emacs.d/git/org-mode/lisp/ob-clojure hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-clojure
/home/hs/.emacs.d/git/org-mode/lisp/ob-awk hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-awk
/home/hs/.emacs.d/git/org-mode/lisp/ob-sql hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-sql
/home/hs/.emacs.d/git/org-mode/lisp/ob-core hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-core
/home/hs/.emacs.d/git/org-mode/lisp/ob-sass hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-sass
/home/hs/.emacs.d/git/org-mode/lisp/org-bibtex hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-bibtex
/home/hs/.emacs.d/git/org-mode/lisp/ob-R hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-R
/home/hs/.emacs.d/git/org-mode/lisp/ox-html hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-html
/home/hs/.emacs.d/git/org-mode/lisp/ob-octave hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-octave
/home/hs/.emacs.d/git/org-mode/lisp/org-clock hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-clock
/home/hs/.emacs.d/git/org-mode/lisp/org-feed hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-feed
/home/hs/.emacs.d/git/org-mode/lisp/org-id hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-id
/home/hs/.emacs.d/git/org-mode/lisp/org-indent hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-indent
/home/hs/.emacs.d/git/org-mode/lisp/org-attach hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-attach
/home/hs/.emacs.d/git/org-mode/lisp/org-pcomplete hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-pcomplete
/home/hs/.emacs.d/git/org-mode/lisp/ob-latex hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-latex
/home/hs/.emacs.d/git/org-mode/lisp/org-loaddefs hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-loaddefs
/home/hs/.emacs.d/git/org-mode/lisp/org-src hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-src
/home/hs/.emacs.d/git/org-mode/lisp/ox-beamer hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-beamer
/home/hs/.emacs.d/git/org-mode/lisp/org-macs hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-macs
/home/hs/.emacs.d/git/org-mode/lisp/ob-ledger hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-ledger
/home/hs/.emacs.d/git/org-mode/lisp/ob hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob
/home/hs/.emacs.d/git/org-mode/lisp/ob-ditaa hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-ditaa
/home/hs/.emacs.d/git/org-mode/lisp/org-gnus hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-gnus
/home/hs/.emacs.d/git/org-mode/lisp/org-capture hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-capture
/home/hs/.emacs.d/git/org-mode/lisp/org-plot hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-plot
/home/hs/.emacs.d/git/org-mode/lisp/ob-exp hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-exp
/home/hs/.emacs.d/git/org-mode/lisp/org-mhe hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-mhe
/home/hs/.emacs.d/git/org-mode/lisp/ob-java hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-java
/home/hs/.emacs.d/git/org-mode/lisp/ob-C hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-C
/home/hs/.emacs.d/git/org-mode/lisp/ob-lilypond hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-lilypond
/home/hs/.emacs.d/git/org-mode/lisp/org-entities hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-entities
/home/hs/.emacs.d/git/org-mode/lisp/ob-makefile hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-makefile
/home/hs/.emacs.d/git/org-mode/lisp/ob-tangle hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-tangle
/home/hs/.emacs.d/git/org-mode/lisp/org-colview hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-colview
/home/hs/.emacs.d/git/org-mode/lisp/ob-js hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-js
/home/hs/.emacs.d/git/org-mode/lisp/org-ctags hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-ctags
/home/hs/.emacs.d/git/org-mode/lisp/ox-latex hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-latex
/home/hs/.emacs.d/git/org-mode/lisp/org hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org
/home/hs/.emacs.d/git/org-mode/lisp/ob-sqlite hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-sqlite
/home/hs/.emacs.d/git/org-mode/lisp/org-timer hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-timer
/home/hs/.emacs.d/git/org-mode/lisp/ob-fortran hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-fortran
/home/hs/.emacs.d/git/org-mode/lisp/org-compat hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-compat
/home/hs/.emacs.d/git/org-mode/lisp/ox-odt hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ox-odt
/home/hs/.emacs.d/git/org-mode/lisp/org-mouse hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-mouse
/home/hs/.emacs.d/git/org-mode/lisp/ob-eval hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-eval
/home/hs/.emacs.d/git/org-mode/lisp/org-agenda hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-agenda
/home/hs/.emacs.d/git/org-mode/lisp/ob-ocaml hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-ocaml
/home/hs/.emacs.d/git/org-mode/lisp/org-docview hides /opt/emacs25/share/emacs/25.1.50/lisp/org/org-docview
/home/hs/.emacs.d/git/org-mode/lisp/ob-screen hides /opt/emacs25/share/emacs/25.1.50/lisp/org/ob-screen
/home/hs/.emacs.d/git/org-mode/.dir-locals hides /opt/emacs25/share/emacs/25.1.50/lisp/gnus/.dir-locals

Features:
(shadow sort mail-extr emacsbug sendmail debug semantic/symref/filter
character-fold misearch multi-isearch semantic/tag-write
semantic/analyze/complete semantic/edit semantic/db-typecache eieio-opt
speedbar sb-image dframe auto flymake-cursor flymake time org-rmail
org-mhe org-irc org-info org-gnus org-docview org-bbdb org-w3m jka-compr
semantic/tag-file inversion semantic/db-file data-debug cedet-files
semantic/bovine/c semantic/decorate/include hideif semantic/bovine/c-by
semantic/lex-spp semantic/bovine/gcc semantic/dep semantic/bovine vc
vc-dispatcher map colir color smex yasnippet org-link-minor-mode
x86-lookup doc-view vlf-setup vlf vlf-base vlf-tune winner snippets
smooth-scrolling whitespace semantic/mru-bookmark semantic/db-mode
semantic/idle semantic/decorate/mode semantic/ia semantic/analyze/refs
semantic/db-find semantic/db-ref semantic/senator semantic/decorate
pulse semantic/analyze semantic/sort semantic/scope semantic/analyze/fcn
semantic/db eieio-base semantic/ctxt semantic/format ezimage
semantic/tag-ls semantic/find semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local cedet saveplace rmail
recentf-ext recentf tree-widget wid-edit rainbow-delimiters
quick-transfer printing ps-print ps-def lpr neotree phi-replace
phi-search phi-search-core move-text magit-gitflow magit-filenotify
filenotify magit-blame magit-stash magit-bisect magit-remote
magit-commit magit-sequence magit magit-apply magit-wip magit-log
magit-diff smerge-mode magit-core magit-process magit-popup magit-mode
magit-git crm magit-section magit-utils git-commit log-edit message
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mailabbrev mail-utils gmm-utils mailheader
pcvs-util add-log with-editor tramp-sh server macrostep irony
simple-httpd htmlize ace-window avy hs-google leo hs-coding hideshowvis
hs-hideshow hideshow-org hideshow helm-projectile projectile grep
helm-bibtex f s ucs-normalize dash parsebib helm-C-x-b helm-cmd-t
helm-command helm-elisp helm-eval savehist session helm-config
helm-easymenu async-bytecomp helm-aliases async org-gtd org-id
org-capture org-clock ob-plantuml ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-latex ox-icalendar ox-html ox-ascii ox-publish ox
org-outlook org-agenda-property org-agenda ob-perl org-occur-goto
org-bibtex org-protocol reftex-parse my-org-bibtex org-element avl-tree
windmove ob-latex ob-sh org-inset-dblock org org-macro org-footnote
org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs find-func
bibtex hl-anything hl-line hi-lock git-timemachine generic-x generic
fold-this export-tester ido seq my-eproject find-cmd eproject-extras
ibuf-macs ibuf-ext ibuffer edebug disp-table wdired vc-git unsafep
dired+ image-file highlight bookmark+ bookmark+-key bookmark+-1
bookmark+-bmu bookmark+-lit diff-mode diff diff-doc desktop frameset
counsel-global ggtags ewoc counsel-cscope eproject esh-var esh-io
esh-cmd esh-opt esh-ext esh-proc esh-arg esh-groups eshell esh-module
esh-mode esh-util xcscope counsel swiper ivy-buffer-extend ivy-hydra ivy
derived highlights button-lock hydra lv cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs chistory
cal-menu calendar cal-loaddefs boxquote rect company-files
company-oddmuse company-keywords company-etags etags xref project
company-gtags company-dabbrev-code company-dabbrev company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-template company-css company-nxml company-bbdb company-quickhelp
pos-tip company-c-headers company my-auctex reftex reftex-vars qt-pro
elec-pair avoid url-handlers paren delsel which-func imenu helm-mode
helm-files rx image-dired tramp tramp-compat tramp-loaddefs trampver
shell pcomplete format-spec dired-x dired-aux ffap thingatpt
helm-buffers helm-elscreen helm-tags helm-bookmark helm-adaptive
helm-info bookmark pp helm-locate helm-grep helm-regexp helm-plugin
helm-external helm-net browse-url xml url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse auth-source gnus-util mm-util help-fns mail-prsvr
password-cache url-vars mailcap helm-utils compile comint ansi-color
ring helm-help helm-types helm edmacro kmacro helm-source cl-seq
eieio-compat eieio byte-opt eieio-core helm-multi-match helm-lib dired
cus-start cus-load org-loaddefs helm-autoloads hs-macros use-package
diminish bytecomp byte-compile cl-extra help-mode cconv bind-key cl-macs
easy-mmode cl gv cl-loaddefs pcase cl-lib finder-inf tex-site advice
info package easymenu epg-config time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 2332212 193392)
 (symbols 48 65722 0)
 (miscs 40 25980 2475)
 (strings 32 263528 119911)
 (string-bytes 1 6665386)
 (vectors 16 117481)
 (vector-slots 8 1894747 105613)
 (floats 8 1591 1102)
 (intervals 56 243416 728)
 (buffers 976 44)
 (heap 1024 125849 4875))

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.